## lightdm-webkit2-greeter-2.2.5-9.src.tar.gz

=== meson_options.txt ===
option('with-theme-dir',
        type: 'string',
        value: '/usr/share/lightdm-webkit/themes',
        description: 'Directory to use for greeter themes')

option('with-config-dir',
        type: 'string',
        value: '/etc/lightdm',
        description: 'LightDM configuration directory')

option('with-desktop-dir',
        type: 'string',
        value: '/usr/share/xgreeters',
        description: 'LightDM greeters directory')

option('with-webext-dir',
       type: 'string',
       value: '/usr/lib/lightdm-webkit2-greeter',
       description: 'Directory for the greeter webkit extension')

option('with-locale-dir',
       type: 'string',
       value: '/usr/share/locale',
       description: 'Locale directory')
